<div class="container">
  <svg height="50" [attr.width.px]="getLeftOffset()+30">
    <g *ngIf="linkSuggestion" stroke="rgb(0,0,0)" stroke-width="10" fill="none">
      <path d="M 15 0 q 0 15 15 15"/>
      <line *ngIf="!lastElement" x1="15" y1="0" x2="15" y2="50"/>
    </g>
    <circle [attr.cx.px]="getLeftOffset()+15" cy="15" r="13" stroke="black" stroke-width="3" fill="white"/>
    <line *ngIf="!linkSuggestion" [attr.x1.px]="getLeftOffset()+15" y1="27" [attr.x2.px]="getLeftOffset()+15" y2="63"
          style="stroke:rgb(0,0,0);stroke-width:10"/>
  </svg>
  <div>
    <div *ngIf="link">{{link.end.name}}</div>
    <!--    <div *ngIf="link">{{link.end.name}}</div>-->
  </div>
  <div>
    <button *ngIf="linkSuggestion" mat-raised-button (click)="emitAddEvent()">Add</button>
    <button *ngIf="!linkSuggestion" mat-raised-button (click)="emitDeleteEvent()">Delete</button>
  </div>
</div>
